Employees

Update position

PUT
/api/public/v3/employees/{employee_id}/positions/{id}

Path Parameters

employee_id*integer
id*integer

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/public/v3/employees/0/positions/0" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'position_id=string&effective_from=string'
{  "data": {    "id": 0,    "employee_id": 0,    "effective_on": "string",    "fields": {},    "created_at": "string",    "updated_at": "string",    "position": {      "id": 0,      "name": "string",      "created_at": "string",      "updated_at": "string"    },    "division": null,    "job_level": null,    "location": {      "id": 0,      "name": "string",      "address": null,      "time_zone": "string",      "holiday_policy_id": null,      "created_at": "string",      "updated_at": "string",      "country_code": null    },    "department": null,    "reporting_to": null,    "legal_entity": null  }}